const path = require('path');

module.exports = {
  entry: './js/app.js',
  mode: "development",
  output: {
    filename: 'app.dist.js',
    path: path.resolve(__dirname, '../wwwroot/js'),
    library: "MultiShop"
  },
  module: {
    rules: [
      { test: /\.(js|jsx)$/, use: "babel-loader" },
      {test: /\.(scss)$/, use: ["style-loader", "css-loader", {
        loader: "postcss-loader",
        options: {
          plugins: function () {
            return [require("autoprefixer")];
          }
        }
      },
      "sass-loader"
    ]}
    ]
  },
};
